-------------------------------------------------------------------------------
  /////////////////  D U R U E D I T 업데이트 변경 내역  /////////////////
-------------------------------------------------------------------------------

권장 사용환경: Windows 7(32,64비트)(기본 XP이상)
권장 폰트:     Bitstream Vera Sans Mono Font

*XP에서 폰트가 흐려지는 경우,디스플레이 속성에서 ClearType을 사용하세요

공식 다운로드 및  피드백: http://duruedit.com
이외 문의: mailto://duruedit@gmail.com

<<2020.11.15>> 버전 3.8.15 빌드 758
-------------------------------------------------------------------------------
-따옴표(",') 사이 구간 문자열 더블클릭 모두선택 

<<2019.08.15>> 버전 3.8.15 빌드 305
-------------------------------------------------------------------------------
-무제한 무료버전

<<2013.08.30>> 버전 2.1.1 빌드 705
-------------------------------------------------------------------------------
-몇몇 저장되지 않는 오류 및 피드백 관련 일부 버그 수정

<<2013.06.26>> 버전 2.1.0 빌드 811
-------------------------------------------------------------------------------
-탐색기에서 새문서 생성후 편집시 저장안되는 현상해결
-스플래시 fadein 기능 제거

<<2012.10.12>> 버전 2.1.0 빌드 800
-------------------------------------------------------------------------------
-문법 구문분석 및 검색 확장자 목록에 일부 파일확장자 추가(sqc..)

<<2012.09.10>> 버전 2.1.0 빌드 787
-------------------------------------------------------------------------------
-파일에서 직접 검색시 일부 CRLF Unpaired 포맷 문서에서 죽는현상
-HEXA 모드 변환시 일부 CRLF 페어 안맞는 문서시 죽는현상

<<2012.08.13>> 버전 2.1.0 빌드 779
-------------------------------------------------------------------------------
-창메뉴의 창목록메뉴에서 열린문서 닫기,다시읽기 지원(피드백적용)

<<2012.06.23>> 버전 2.1.0 빌드 777
-------------------------------------------------------------------------------
-MDI문서탭바 화살표 빠른클릭 적용(타이머 방식이라 원래는 지그시 눌러주심 됩니다)

<<2012.05.21>> 버전 2.1.0 빌드 775
-------------------------------------------------------------------------------
-버전 2.1.0.721 이후로 인쇄시 줄번호와 본문사이 NoGap 현상 수정
-인쇄 머리말의 날짜 우측정렬 ,꼬리말 영역 기본값 축소등

<<2012.05.21>> 버전 2.1.0 빌드 774
-------------------------------------------------------------------------------
-정규식 단어검색 기능개선(단어시작,끝 명령변경(<,>에서\<,\>로) 및 속도)
 단어시작 정규표현식 검색시 단어중간이 검색되는 버그수정
 
<<2012.05.16>> 버전 2.1.0 빌드 762
-------------------------------------------------------------------------------
-Bugfix:새문서 다운현상 및 오작동 수정

<<2012.05.12>> 버전 2.1.0 빌드 721
-------------------------------------------------------------------------------
-이전,다음탐색 기능개선
-대용량 문서 로드 속도개선
-이외,각종 버그등 알파테스트 완료후 베타테스트용 릴리즈


<<2012.04.24>> 버전 2.1.0 빌드 689
-------------------------------------------------------------------------------
-열모드에서 복사한 내용을 일반모드에 붙여넣기 가능


<<2012.04.24>> 버전 2.1.0 빌드 688
-------------------------------------------------------------------------------
-기본모니터에서 MDI문서창 최대화시 스크롤바 여백남는 현상 버그수정(--;)

<<2012.04.23>> 버전 2.1.0 빌드 684
-------------------------------------------------------------------------------
-확장데스크탑(듀얼모니터) 지원(피드백 주신 형기님 감사드립니다)
-고해상도 듀얼모니터에서 MDI문서창 최대화시 꽉차지 않던 현상 수정
 (kxLib:kxMDIChild.cpp 1149 OnGetMinMaxInfo)

<<2012.04.22>> 버전 2.1.0 빌드 677
-------------------------------------------------------------------------------
-대용량파일(10MB~) 에서 스크롤 Track ThumbBar 범위초과 표시오류
 (Today님 제보 감사합니다)

<<2012.04.22>> 버전 2.1.0 빌드 675
-------------------------------------------------------------------------------
-HEX모드시 원본인코딩으로 편집가능,인코딩 파일헤더(BOM) 자체보정 기능
-HEX모드시 상태표시줄에 오프셋 표시,검색 수정,가변폰트(Arial등) 출력 향상
 HEX와 열모드는 화면은 물론 인쇄시 굵게 표시된 글꼴 사용권장
-검색창 정규식 삽입위치 개선 / 검색결과창에 디버그 문구('aa') 제거
-간편검색 도구창 팝업메뉴에 HEX 검색옵션 추가(검색어를 적색표시)
-줄번호,여백표시 설정 전체문서 적용안되던 것 수정/창분할 편집오류
-이진파일 텍스트 모드 편집시 비문자영역의 글자간 씹힘현상 제거
-MDIClient 영역 테두리경계 박스 Redraw Fix(kxLib:KFCWnd.cpp 1544)
-보기메뉴 화면폰트 설정시 활성창에맞게 폰트창 표시(DEMain.cpp 3045)
-창분할,스크롤바 박스검은잔상 제거 / 클리핑영역 페인트 처리속도 향상

<<2012.04.16>> 버전 2.1.0 빌드 670
-------------------------------------------------------------------------------
-한페이지이상 블럭선택 삭제시 본문하단 표시 안되던 버그수정
-삽입,삭제시 스크롤 범위가 변경되었을 때 위치보정(피드백:Today님)
-컬럼모드에서 키입력(스페이스,탭,엔터,일반문자) 처리지원(OO블로거님) 
-표시기 영역넓힘,줄번호를 보통크기의 본문폰트로 적용,
 본문내용이 길어질경우 줄번호 씹힘현상 수정
-눈금자 및 표시기 영역 구분선을 정밀도트선으로 변경 
-가로스크롤 빈 영역을 본문 컬럼에 맞게 최대한 축소
-문서변경시 제목표시줄에 '*' 표시 추가
-라이센스 사용기간을 배포한 날에서 설치한 날을 기준으로 반영함.
 (기존에는 사용기간이 지나면 기존버전을 재설치해도 기간이 만료되어
  사용할수 없었으나 이제 업데이트나 새버전의 설치 없이도 가지고 계신
  기존의 설치버전을 그대로 재설치하면 사용기간이 초기화되어 
  언제든지 재 사용할 수 있게 되었습니다)
 이 버전부터 사용기간 만료시 재설치 하면 다시 사용이 가능해집니다.
 
<<2012.04.11>> 버전 2.0.3 빌드 890
-------------------------------------------------------------------------------
-간편찾기에 포커스시 메뉴핫키 안되던 현상(다른 모달리스 창 공통적용)
-열려있는 문서가 없을 때 최근 작업 문서(R) 목록 지우기 안되던 현상
 (피드백:Kangil님)
-파일찾기 폴더명 2자내외검색대상제외 오류,검색중 죽는현상 수정

<<2011.12.28>> 버전 2.0.3 빌드 861
-------------------------------------------------------------------------------
-무료 라이센스 사용기간 180일 연장(바빠서 기능업데이트는 없습니다)

<<2011.08.22>> 버전 2.0.3 빌드 860
-------------------------------------------------------------------------------
-스크롤바(트랙바&Draw) 드래그시 밀림현상 Fix.

<<2011.05.05>> 버전 2.0.3 빌드 859
-------------------------------------------------------------------------------
-대용량(수MB이상) 파일에서 스크롤바(트랙바&Draw) 오작동 Fix.
-파일로드시 시간이 걸릴경우 Loading 이미지 표시
-Flash ActionScript 구문분석 추가
-240일 사용기간 연장(경과시 홈페이지에서 최신버전 다운로드&설치)

<<2011.04.28>> 버전 2.0.2 빌드 291
-------------------------------------------------------------------------------
-UTF8(유니코드)문서에서 바꾸기시 이전 내용이 APPEND 되던 현상 수정.
-UTF8 문서파일에서 직접 찾기/바꾸기시 영문기호만 되었으나 이제 한글지원.

<<2011.04.11>> 버전 2.0.2 빌드 282
-------------------------------------------------------------------------------
-검색결과 강조표시에 정규식 결과 정확성 향상
-검색창 다음찾기로 단계별 검색하는 도중에 검색어를 변경할 경우 처음의 
 검색지점에 돌아와도 더이상 일치하지 않음이 뜨지않고 계속 반복되는 현상
-정규식 검색시 문서전체가 검색되는 현상을 검색어에 포함된 LF의 갯수 + 1
 만큼 라인단위로 검색하도록 하여 검색결과 선택블럭이 정확하도록 수정함.

<<2011.03.31>> 버전 2.0.2 빌드 271
-------------------------------------------------------------------------------
-인쇄미리보기시 툴바,출력창등 이전 표시 상태 복원
-정규식 파일에서 바꾸기시 다운현상 버그수정
-바꾸기나 편집 취소시 부정확한 스크롤바 위치 보정
-mailto 등 URL 구문 파싱 및 폰트,색상 표시 오류 수정

<<2011.03.18>> 버전 2.0.2 빌드 255
-------------------------------------------------------------------------------
-FTP 원격파일을 '다시 불러오기' 후 읽기모드로 작동 되던 버그 수정

<<2011.03.18>> 버전 2.0.2 빌드 254
-------------------------------------------------------------------------------
-핫키 설정 저장 안되던 현상 수정

<<2011.02.01>> 버전 2.0.2 빌드 252
-------------------------------------------------------------------------------
-찾기창 전환시 옵션항목이 서로 적용 안되던 현상 수정
-찾기창 HEXA 옵션 체크여부에 따라 정규식 항목 비활성화 버그수정
-FTP창 위치 기억

<<2011.01.30>> 버전 2.0.2 빌드 249
-------------------------------------------------------------------------------
-내부망의 FTP 서버를 공인IP로 접속시 데이타 채널 연결실패 오류수정
 공유기 또는 인트라넷 내부망의 FTP서버에 FTP PASSIVE모드로 접속시
 서버주소는 공인IP로 했음에도 FTP 서버에 의해 데이타채널의 IP가 내부IP
 (192 또는 127,172등)로 내려올때 발생.디렉토리 목록이 안보이거나 연결이
 비정상적으로 끊겨 프로그램이 다운되는 현상 FIX.
 테스트:linux vsftpd에서 포트변경 및 IP변경후 테스트
 
-FTP 전송모드를 기본으로 했을 경우,서버의 지원사양에 PASSIVE모드가
 포함되어 있으면 기본 전송모드를 PASSIVE모드로 작동되게 함.

-메인,파일찾기등의 툴바에서 이미지와 텍스트가 마우스 HOVER시 움직이게
 나타나는 것은 clickdown 체크상태가 된 경우 RIGHT-BOTTOM으로 치우져
 눌린효과를 주어 체크해제와 구분짓기 위해 고의로 표시한것으로 정상입니다. 

-두루인스톨러를 NSIS나 인스톨쉴드처럼 스크립트를 이용해 만들도록 개선함.
-두루인스톨러 UI변경,컴포넌트 선택 트리창에서 우측에 크기표시,폴더선택을
 먼저나오도록 페이지 순서변경,남은용량과 필요한 용량 하단 좌우배치등
 
<<2011.01.21>> 버전 2.0.2 빌드 246
-------------------------------------------------------------------------------
-TXT 파일 구문분석에서 숫자 다음의 "" 문자열 색상표시 안되던 버그수정
-툴바에 FTP저장,프로젝트 파일설정 추가

<<2011.01.20>> 버전 2.0.2 빌드 240
-------------------------------------------------------------------------------
-컨트롤키 + 마우스 왼쪽 클릭, 또는 더블클릭시 선택,마우스 이동시 선택
 영역 확장 되도록 함,열모드시 선택블럭 표시 버그수정

<<2011.01.11>> 버전 2.0.2 빌드 229
-------------------------------------------------------------------------------
-프로젝트 파일/설정 창에서 홈디렉토리 변경시 자동 저장
-FTP 파일로 저장시 서버권한 없어 실패시 창 비활성된채 남아있던 현상

<<2011.01.09>> 버전 2.0.2 빌드 227 : XP 사용자를 위한 개선
-------------------------------------------------------------------------------
-XP에서 테마사용시 메뉴바 하단 및 메뉴선택박스 흰줄 없앰
-XP에서 차일드 창 아이콘 찌그러지는 현상 수정
-XP에서 테마사용시 비활성 메뉴항목 텍스트 안보이는 현상 수정
-XP에서 간편찾기 콤보에디터 목록창이 높이 0으로 표시되지 않는 현상
-시작화면 변경
-HEXA 검색후 출력창에서 더블클릭으로 해당위치 이동시 선택길이 오류수정

<<2011.01.07>> 버전 2.0.2 빌드 110
-------------------------------------------------------------------------------
-폰트설정 적용 개선(HEX/열모드 폰트 인쇄나 화면 장평 안되던 것 적용)
-라이센스키 경로변경
-FTP 파일을 '새 이름으로 저장' 시 로컬저장 안되던 현상 수정
-편집중인 문서를 FTP 파일로 저장 기능 추가
-헥사모드에서 검색 및 HEX(16진코드) 검색 추가
 원래 정규식으로 \xFF\xEF 나 \xB0\xA1 등으로 검색가능 하나 입력이 다소
 불편하므로 보다 편리하도록 16진코드를 바로 입력하여 검색하게 함.
-정규식이나 헥사모드 검색시 검색어가 DBCS 중간에 걸칠수 있는데 이때
 어긋나는 선택블럭,검색결과 하이라이트 표시 보정,검색갯수도 정확히 함.
-검색창에서 찾기/바꾸기 전환시 옵션 적용이 안되던 현상 수정

<<2011.01.04>> 버전 2.0.1 빌드 771
-------------------------------------------------------------------------------
-폰트설정 적용 개선(HEX/열모드 폰트 장평 적용안되던 것등)
-라이센스키 경로변경

<<2010.12.31>> 버전 2.0.1 빌드 763
-------------------------------------------------------------------------------
-업데이트시 죽는 현상 수정
-현재줄 강조 채움표시시 http://등 이탤릭문자 잘림현상
-여러줄 선택후 TAB키시 삭제되는 것을 탭여백 주기로 변경,한줄일때만 삭제
-1.6.1 이후 파일열기,저장 공용컨트롤 창에서 파일이 안보이는 문제 수정
-FTP XML 파일등 못읽는 문제 수정 패치

<<2010.12.29>> 버전 2.0.1 빌드 755
-------------------------------------------------------------------------------
2010년 누적버그 & 문제점 올패치와 1.x대에서 탈피, 2.x 대로의 버전업
이번 버전특징: 초간편 텍스트 에디터,두루에디트가 더욱 빨라졌다!
               화면출력,검색등 전반적인 비약적 속도향상(x10배이상)
-수만컬럼이상의 어떠한 컬럼크기라도 화면 표시 처리속도 빠르도록 함.
-에디터 전반적 처리속도 성능 향상 최적화(x10배~최대 30배까지 빨라짐)
 구문분석 출력시 이진탐색으로 처리속도 성능 개선 (x10~30배 속도향상)
 검색결과 하이라이트 출력시 이진탐색으로 처리속도 성능 개선(x3배 속도향상)
 70000 컬럼이상의 줄길이가 큰 경우 출력속도 향상(x10~30배 향상)
 URL 구문출력시 이진탐색으로 이전구간 색상정보 탐색시 처리속도 향상
 줄번호,열번호와 같은 화면 관련 일부 빈번하게 사용되는 중복된 데이타 연산시
 자체 캐시처리로 속도 향상
-자동 줄바꿈 비사용 모드시 최대 컬럼수 지정옵션 추가로 스크롤 압박을
 주는 지정된 컬럼길이를 초과하는 긴 줄을 자동 줄바꿈 처럼 잘라서 표시
-HEX 보기에서 안되던 인쇄 지원
-툴바 아이콘 조정(간격줄이고,간편검색 툴바에 툴팁추가표시)
-현재 줄 강조 채움색상 텍스트 스타일 없어지는 현상 수정 및 색조정
-줄 번호 폭을 조금더 늘리고 세로 정렬
-열모드 제로컬럼 선택시 이후의 글자 간격 폭이 줄 끝까지 늘어나는 현상

버그픽스 및 기능개선
-------------------------------------------------------------------------------
-줄끝문자 검색시 엔터까지 하이라이트 표시되는 현상 수정
-눈금자 표시 영역 현재 컬럼에 맞게 보정(폰트평균폭 재계산),색상 반영
-눈금자 표시 줄자간격에 현재설정된 폰트의 장평,글자간격을 반영함
-검색결과 하이라이트 표시후 편집시 하이라이트 없어지는 현상 수정.
 (구현은 되어 있었으나 디버그모드 코드영역에 구현되어 릴리즈모드 에선
  반영안되어 있던것 이것저것 살펴보다가 뒤늦게 발견 --;)
-스크롤시 캐럿이 예전 위치에 순간적으로 이동하는 현상 수정.
-인쇄속도 향상,인쇄미리보기 전환시 잔상제거
-최근사용 기호 저장 / 로드
-이전 1.6.1 버전에서 환경설정 기본값 복원시 런타임 오류수정
-보기메뉴에서 프린터글꼴 설정시 HEX/열모드 폰트로 표시되는점
-보기메뉴에서 화면글꼴시 HEX나 컬럼모드시 해당폰트 설정으로 기본표시
-Bitstream Vera Sans Mono 폰트가 설치되어 있을때 HEX/열모드 폰트 기본값.
-스크롤이나 탭전환시 좌측하단 스플리트 박스 잔상,헥사모드에서 마진폭 수정

<<2010.12.18>> 버전 1.6.1 빌드 1465
-------------------------------------------------------------------------------
프로젝트 기능 추가 (dpj파일과 폴더열기 저장용 username.pui파일)
FTP 다중열기 안되던 현상 수정,메인 메뉴바 그리기 수정 및 메뉴아이콘
파일에서 찾기시 경로에 있는 열린문서 검색안되던 현상 수정
여러문서에서 한문서만 편집한 후 프로그램 종료시 저장확인창 안뜨던 문제
문자열 관련 버퍼 Format 함수에서 4096 할당되던 현상 수정
DuruXML.DLL 파일로 분리
DEStartup.dll 더이상 쓰지않음,DEConfig.DLL 분리,다국어관련nls 폴더추가

<<2010.11.24>> 버전 1.5.1 빌드 761
-------------------------------------------------------------------------------
-업데이트 변경(Update.exe) EXE 설치버전 저장경로를 
 C:\Users\UserName\AppData\Roaming\DuruEdit\Setup로 변경
 (XP에서는 C:\Users\UserName\Application Data\DuruEdit\Setup)

<<2010.11.24>> 버전 1.5.1 빌드 760
-------------------------------------------------------------------------------
-변경된 파일 로드시 목록표시 수정

<<2010.11.23>> 버전 1.5.1 빌드 758
-------------------------------------------------------------------------------
-FTP 계정창에서 선택한 싸이트가 목록에 선택항목으로 갱신 안되는 현상

<<2010.11.23>> 버전 1.5.1 빌드 757 안정화 버전(stable version)
-------------------------------------------------------------------------------
-치명적인 메모리 반환 불가로 인한 MemoryLeak 문제 FIX,100% 안정화
-리사이징시 우측 경계창 깜빡거리는 문제 일부 다시 보완
-탭바 스크롤된 상태에서 문서닫은후 툴팁의 파일경로 매칭오류 수정
-FTP 권한문제로 접속실패후 일부 서버응답 메세지 ?? 문자 깨짐 수정
-FTP 의 초기 원격 디렉토리에 최근 위치로 이동하는 자동 옵션 추가
-라이센스 관련 로컬머신 레지스트리 사용하는 부분 제거
-라이센스 관련 HDD 시리얼번호 읽는 루틴 없애 가상화 기반 안정화
-UAC 사용자 권한을 "관리자 권한"에서 "일반 사용자 권한"으로 하향조정
-업데이트 실행시 사용하지 않는 Idle 시간 1분 경과후에 팝업뜨도록 수정
-FTPSites.xml을 C:\Users\UserName\AppData\Roaming\DuruEdit 폴더로 이동
 (XP에서는 C:\Users\UserName\Application Data\DuruEdit)
-언인스톨시 AppData\Roaming\DuruEdit의 업데이트 누적 설치파일들 제거
-파일연결,탐색기메뉴등록,프로그램폴더저장등 일부 관리자권한 필요

<<2010.10.29>> 버전 1.5.0 빌드 20 버그패치
-------------------------------------------------------------------------------
-윈7(Vista↑)의 UAC 활성화시 UIPI(User Interface Privilege Isolation)
 에 의해 낮은 권한(Explorer)의 프로세스에서 높은 권한(DuruEdit) 의
 프로세스로의 메세지 전달의 차단에 의한 드래그&드롭 먹통 현상 수정.

<<2010.10.27>> 버전 1.5.0 빌드 11 설치버전
-------------------------------------------------------------------------------
-처음시작 페이지 컨트롤 배치 오류 수정

<<2010.10.27>> 버전 1.5.0 빌드 7 인쇄관련 업데이트
-------------------------------------------------------------------------------
-인쇄및 미리보기시 헤더/푸터 경계선 프린터 해상도에 따라
 안그려지는 현상 수정

<<2010.10.27>> 버전 1.5.0 빌드 6 버그발견 업데이트
-------------------------------------------------------------------------------
-쓰기 기록중인 열려있는 파일 오픈 안되던것 열수 있도록 함
-열려있는 파일 변경시나 오픈시 오류창 무한반복 현상 수정

<<2010.10.20>> 버전 1.5.0 빌드 5 추가기능 업데이트
-------------------------------------------------------------------------------
-재 설치시 최적 폰트 자동 감지
 (우선순위:BitSream > 시스템에서 사용중인 메세지 창 폰트)
-흑백인쇄 지원
-자동저장시 시간간격이 불과 1/10 경과 후 저장하는 오류 수정
-자동저장시 FTP 파일은 자동저장 하지 않게 기본값 옵션 추가
 익명이나 타계정의 파일을 읽다 실수로 편집된 경우 저장되는 것을 방지
-너무 옆으로 퍼져보이던 글자간격 기본값을 120% 에서 100% 로 조정
-단락간격 조정기능 개선
-CRLF 변환 및 줄 바꿈 변환(단락분리) 개선
-줄간 정렬 메뉴 추가 - 줄간 상하 텍스트 정렬하는 기능
-CSS 파일, XML 파일 구문분석 개선
-프로그램 창 최대화시 MDI 클라이언트 창 우측이 border 두께 1/2 에
 해당하는 갭이 생기는 문제 수정
 (윈도우즈7에서 WS_EX_CLIENTEDGE 속성 없는 MDIClient에서 MDIChild 창을
 최대화시에만 나타나는 현상,윈도우즈7 기본 테마 UI의 창 BORDER가 8로
 늘어나면서 생긴 버그인듯,예외처리함)
-구문분석 가독성 고려해 기본값 변경
-숨김파일 저장되도록 수정
-파일 열기상자에 확장자 종류별 목록 추가(Pro*C,JS,XML,CSS 등)

<<2010.10.13>> 버전 1.4.1 빌드 201
-------------------------------------------------------------------------------
- HTML 구문분석기 업데이트 (전면 개정),클라이언트(JavaScript,VBScript),
    서버 스크립트(PHP,ASP,JSP)와 HTML 본문 구별해 보다 다양한 컬러지원
- C/C++ 구문분석기 업데이트(URL 색상과 폰트속성 유지,일부 연산자 컬러)
- TXT / SQL 구문분석 업데이트(기호 및 URL 표시오류)
- JSP 구문분석 추가
- 자동줄바꿈 해제시 가로 스크롤바 왼편 창나누기 버튼 잔상
- 보기메뉴 화면폰트 설정한 내용이 다음번 실행시 반영안되던 문제
- 폰트 크기를 자동 보정하여 일부폰트에서 안보이던 언더라인등 보이게 함
- 주석과 문자열등의 블럭사이에 URL 스트링의 경우 블럭의 색상으로 표시
- 줄번호 폰트를 약간 크게하여 가독성을 높이되 본문보다 튀지 않도록 함
- 인쇄 미리보기 화면에서 키보드 입력시 상태바 표시 현상

<< 2010.10.04 >> 버전 1.4.1 빌드 21 누적버그 패치
-------------------------------------------------------------------------------
-한줄짜리 문서에서 열모드 삽입채우기시 작동 되도록 추가
-아스키 코드표 추가(삽입메뉴)
-파일메뉴 최근작업문서 목록이 창전환시 표시,반영이 제대로 안되던 문제
-편집메뉴-입력잠금(읽기전용모드) 기능이 작동안되던 현상
-읽기전용 모드시 상태바 파일포맷(DOS-ANSI) 표시란에 읽기전용 표시.
-문서창이 최대화되지 않은 상태에서 새문서 열때 창이 안보이는 현상
-열모드 제로컬럼 삽입채우기시 캐럿이 우측으로 튀는 현상 FIX
-열모드 마지막 2번째 줄에서 삽입 채우기시 앞부분이 선택되는 현상 FIX
-열모드 마지막 줄에 내용이 없는 엔터만 있는 줄이 아니면 우측으로
 선택되던 현상,열모드 삽입채우기 후 캐럿위치 보정.
-마지막 엔터만 있는 줄 끝에서 BackSpace키시 오류현상(디버그모드)
-버전 1.4.0.562 이후 최초 시작시 활성 문서 탭이 안보이는 현상
-HTML,PHP,ASP URL 속성 범위초과 및 XML 우측태그색상 누락등 구문분석시
 제대로 색상적용이 안맞는 부분 수정

<< 2010.09.30 >> 버전 1.4.1 빌드 5
-------------------------------------------------------------------------------
-Internet Explorer 소스보기 HTML 편집기 등록 옵션추가(환경설정-일반)
-삭제된 파일 로드시 "이미 열려있을수도 있습니다"에서
 "삭제된 파일 입니다" 메세지로 분리 표시
-열린문서 탭바 툴팁에 표시되는 문서경로가 80자에서 잘리는 현상 FIX


<< 2010.09.29 >> 버전 1.4.1 빌드 1
-------------------------------------------------------------------------------
=FTP 관련=
-업데이트 후 등록된 FTP 사이트 초기화 되는 현상 FIX
-중복된 사이트 등록 방지 검사항목에 기존 주소,포트에 사용자명 추가
-연결되었을 때 비활성화 되는 계정 설정창의 이동,삭제 버튼에 툴팁 표시

=쉘 명령 관련=
-UAC(사용자계정컨트롤) 활성화시 탐색기의 Shell Extension 메뉴 오동작 수정
-윈도우즈7 64비트에서 현 32비트 두루에디트 사용시 SysWOW64 관련 DLL 등록
 안되는 WOW64 리다이렉션 문제 FIX (DEShl64.dll,DEShl.dll)

=인스톨러/언인스톨러 기능추가=
-제어판의 프로그램 추가/삭제 목록에 언인스톨러 표시 추가
-설치나 제거시 사용중인 삭제불가 파일 삭제하는 로직 안정성 강화
 (직접 리부팅후 삭제되도록 하던것을 재설치시 파일이 그대로 남아있어
  복사실패 창이 뜨게되어 이를 최소화 하고자 파일명 뒤에 0~9 의 번호를
  붙여가며 rename한후 이 파일을 리부팅 삭제목록에 등록함)

<< 2010.09.27 >> 버전 1.4.0 빌드 1000
-------------------------------------------------------------------------------
 UI 전면 개편 정식 버전(한달소요)

-UI 전면개편(메뉴,툴바,도킹바 및 메인프레임 윈도우등 UI관련
 kxLibrary(구 KFC 라이브러리)를 전면개정하여 DE에 반영(한달소요).
-업데이트 항목 목록표시,리부팅후 삭제파일 롤백처리
-화면 UI Drawing 처리 200% 성능 향상 속도개선
-리사이징시 MDI 우측 창가 깜빡임 없앰
-탐색기 쉘 메뉴 지원
-http url 컬러링 초과 부분 수정
-문서 우측메뉴와 검색결과창에서 해당 폴더 위치 바로가기
-프린터 미리보기 툴메뉴 수정
-MDI 열린문서 탭바 개편
-화면글꼴 메뉴 8개로 넉넉하게 늘림.
-스플레시 화면 테마 변경
-FTP 응답처리 관련 치명적 버그 수정
-두루인스톨러/언인스톨러 파일삭제 로직 개선
-업데이트 버그수정
-이외,다수

<< 2010.09.27 >> 버전 1.4.0 빌드 566
-------------------------------------------------------------------------------
-업데이트 목록표시후 설치안되는 버그수정

<< 2010.09.21 >> UI 전면 개편 베타 버전
-------------------------------------------------------------------------------

<< 2010.09.11 >> 버그픽스
-------------------------------------------------------------------------------
가상화 환경에서 HDD 시리얼 정보 검사 오류로 다운현상.
-HDD정보 읽기 실패시 볼륨시리얼로 대체함.

<< 2010.07.19 >> 버전 1.2.2 빌드 339
-------------------------------------------------------------------------------
FTP 기능 업그레이드

-UTF8 파일명 지원.
-자동모드시 아스키모드 자동인식률 개선
-.으로 시작하는 파일을 아스키로
-확장자 없으면 아스키로
-FTP 탐색창에 아스키,바이너리 선택 버튼 추가
-FTP 탐색창 원격디렉토리에 직접 서버경로 입력 폴더이동 가능.
-FTP 탐색창 리스트에서 엔터키로 폴더 이동가능.

-MDI 열린 파일 탭 바 개선
-위아래 리사이징시 출력창에 상태바 잔상 제거
-파일창 분할시 스크롤바 부분 까만 잔상 제거
-MDI 탭바 Draw시 HPEN,브러시 등의 리소스 Free 누락으로
파일 많이 열어놓고 스크롤 이빠이 하면 나중에야,
하얗게 변하고 제대로 그리지 못하고 프로그램 전체가 이상해지는
치명적인 리소스메모리 해제 버그 수정

-바꿀문자열 비워두고 바꿀때(삭제효과) 이전 값으로 바뀌는 문제. 
-파일버전날짜: 만든 날짜에서 마지막 수정한 날짜로 변경.

<< 2010.06.23 >> 버전 1.2.1 빌드 7009
-------------------------------------------------------------------------------
-임시파일/외부파일 클릭시,사용중이라며 안열리는 현상 수정.

<< 2010.06.10 >> 버전 1.2.1 빌드 7008 월드컵 개막 기념 패치
-------------------------------------------------------------------------------
FTP 전송옵션 - 저장 안되는 현상 FIX (기본 = 활성모드)
FTP 더블클릭 파일열기로 편집시 뒷부분 짤리는 버그픽스.
유동DNS 환경,공유기 PORT Forwarding 환경에서 동일한 주소에 
다른 포트를 쓰는 사이트 등록 가능하게 수정.
공백줄이 생기면 바이너리 모드로 사용하기 바람.
접속이 안되면 수동모드(PASSIVE)로 사용하기 바람.

<< 2010.06.01 >> 버전 1.2.1 빌드 7004
-------------------------------------------------------------------------------
버퍼보안패치

<< 2010.05.26 >> 버전 1.2.1 빌드 7001
-------------------------------------------------------------------------------
GetThreadId() 비스타 이상 함수 호출로 XP에서 실행 불가 버그픽스.
이번버전특징:2% 부족하지만 장고의 시간끝에 다시 태어난 FTP기능,

TODO: FTP 동작시 쓰레드 처리로 서버 느릴때 먹통현상 개선.
      아주 나중에 SFTP,FTPS지원,환경설정을 레지사용 안하고 XML파일로
      빼기.두루 스크립트 내장,빌드지원,프로젝트 관리,클립 텍스트,
      유니코드 헥사 편집기능,EBCDIC지원.

<< 2010.05.25 >> 버전 1.2.1 빌드 7000
-------------------------------------------------------------------------------
FTP 기능개선:
URL인코딩 버그,4K이하 다운로드 안되는 현상,FTP창 크기조절 가능

<< 2010.05.25 >> 버전 1.2.1 빌드 5258
-------------------------------------------------------------------------------
작업기간:2010.05.13 ~ 2010.05.25
FTP 기능 전면 프로토콜 LOW-LEVEL서 재 작성,디렉토리 목록 수정,
레지스트리에서 FTPSites.XML파일로 서버환경 설정저장,방화벽,
서버타입지원,툴바 수정,서버가 패스워드 요청시 입력창 띄움,
원격(리무트) 초기 디렉토리 지정.타임아웃등 옵션.FTP 탐색창 팝업메뉴

<< 2010.05.11 >> 버전 1.2.0 빌드 10
-------------------------------------------------------------------------------
작업기간:2010.05.11 ~ 2010.05.12
버그픽스: 
-인쇄시 복사매수를 0으로 계산,(--;) 인쇄가 아예 안되는 오류 고침.
-문서의 반을 삭제하고 저장하지 않은 상태에서 인쇄미리보기
 에서 다음페이지 눌러 마지막 페이지에서 죽는 현상 FIX.
-windows 7 에서 첫문서 열때 테마 타이틀바 둥근모서리 검은 잔상 FIX.
-전체화면으로 시작시 Fadein 할때 검은 잔상 나타나는 현상 FIX.
-열모드 UNDO시 런타임오류,처음 여는 창 마진폭 화면표시 잔상 FIX.
-엔터 입력시 자동 들여쓰기 버그 수정
이외기능:
-인쇄 머리말,꼬리말의 선두께를 소수점 첫째자리에서 둘째자리로 변경.
 기존의 기본값 0.4mm이 인쇄해본 결과 두꺼워서 0.14mm 로 함.
-인쇄여백 기본값 변경
-공백,탭보기,줄바꿈 보기 메뉴변경

<< 2010.05.11 >> 버전 1.2.0 빌드 1
-------------------------------------------------------------------------------
작업기간:2010.05.06 ~ 2010.05.11

[+] 열모드 기능 전면 개편(재작성) 최상의 속도& 안정성 보장
버그픽스: 수많은 열모드 작동시 버그 및  오류 수정
            정확한 컬럼 인식,실 데이터가 없는 엔터 뒷부분 빈공간 OK.
            모자란 컬럼은 제대로 공백을 채워주도록 함.
메뉴 추가:열모드 삽입/채우기외에 열모드 복사, 붙여넣기,잘라내기,삭제,
            열 숫자삽입(선택 열 각줄에 연속된 번호를 삽입)
            선택 열 합계(선택 텍스트내의 숫자들의 합계) 새로 추가함.

[+] 기능 개선
- 열모드 삽입/채우기시 열을 선택하지 않으면 자동으로 현재 커서부터
  문서 끝까지 제로컬럼을 선택하고 표시 하도록 함.
- 열 선택 후 마우스 드래그로 원하는 곳에 떨구면 이동 또는 복사(+Ctrl)함
- 6000라인 이상의 문서 전체에 열삽입 한 후 Ctrl+Z 로 취소 할때
  1분이상 hang걸리던 UNDO 처리시간 2-5초내로 고속화 함.
- 열모드 및 가상 공백 허용시 엔터뒤로 커서가 이동할수 있는데
  탭.공백 기호 보기시 엔터폭이 약간 넓어 커서가 겹쳐보이던 현상 FIX.
- 스크롤 해놓은 상태에서 발생하는 화면 표시 잔상 버그 수정
- 같은줄에 있는 연속된 #으로 시작하는 전처리기 색상 하이라이트.
- 검색어 강조표시 하여(노란 반전) 검색해놓고 선택 블럭시 선택영역과
  열모드시 엔터 뒤 빈공간등 선택 표시 제대로 안되던 Draw처리 수정.
- 자동 줄바꿈 하면 열모드 취소/열모드 전환시 자동 줄바꿈 취소
- 헥사 모드 전환후 복귀시 자동 줄바꿈,열모드 상태 기억후 복원.

<< 2010.05.05 >> 버전 1.0.0 빌드 14
-------------------------------------------------------------------------------
열모드 폰트 버그 수정

<< 2010.05.04 >>
-------------------------------------------------------------------------------
1.각목의 요청 '열모드' 기능에 '열 삽입/채우기' 추가
  부수적으로 열모드 폰트 추가(폰트 설정창의 콤보리스트에서 선택)
  제로컬럼 선택표시,아직 속도 느림.
  
<< 2010.05.03 >>
-------------------------------------------------------------------------------
1.두루인스톨러/ 언인스톨에 레지스트리 값 추가/삭제 기능추가 
  인스톨시 건드린(추가한) 레지스트리값을 언인스톨시 삭제하게 함
2.처음 설치시 설정되는 기본 권장 값을 실용적인 값으로 수정
3.출력창에 검색된 파일이 있는 폴더열기 오른족 팝업메뉴 추가
4.검색창 파일형식에 DB관련 파일 확장자 추가

<< 2010.05.01 >>
-------------------------------------------------------------------------------
1.라이센스 관련 평가일을 30에서 240일로 늘림,로직 수정,보안강화
  HKLM\SOFTWARE\Duruedit\License에 라이센스 저장 데이타 있음.
2.정품 라이센스 키 ,폴더나 레지스트리 복제해도 사용불가 하게 함
3.VFO.DLL 파일 크기 경량화

<< 2010.04.30 >>
-------------------------------------------------------------------------------
1.찾기/바꾸기 검색창 엔터키 입력시 창 빠져나오는 현상 수정
  엔터키를 치면 검색 버튼중 디폴트 속성의 버튼이 작동함
2.검색 바꾸기시 바꿀내용이 없으면 안되는 현상 수정
  바꿀내용이 비어있으면 찾을 내용 삭제처리 됨
3.Ctrl + F,Ctrl+R 등 검색시 찾을 내용에 텍스트 자동 입력시
  캐럿이 맨앞에 와서 입력이 불편한점을 맨뒤로 보내거나 
  블럭선택 되게 하여 캐럿이동 없이 바로 입력 할수 있게 함
  도구 > 환경설정 > 편집 > 블럭선택 함 옵션 추가
4.인쇄미리보기에서 인쇄시 아무짓도 안하는 버그 수정

<< 2010.04.29 >>
-------------------------------------------------------------------------------
1.Uninstall.exe 언인스톨 실행 안되는 버그 수정
2.메뉴 단축키 설정 안된 것 모두 설정해놓음
3.업데이트로 Setup.exe를 바로 받아 설치가능 하도록 수정.
  업데이트 변경 사항(UpdateLog.txt) 를 받아 보여주도록 수정함
4.업데이트시 두루에디트 죽는문제 수정
5.복사,붙여넣기 수정
6.자동업데이트 관련 레지스트리 AutoUpdate 키 저장시 쓰레기 값 수정
  (4 월 28 일자 업데이트 받은 사람중
   레지스트리 시작메뉴> 실행> regedit 를 실행하여 HKEY_CURRENT_USER 첫
   하위 키이름이 깨진것들을 삭제바람)
7.Windows7 에서 관리자 권한 상승 지원

버그 및 개선 및 요구사항,문제점 발견은 게시판에 남겨주세요...

<< 2010.02.26 >>
-------------------------------------------------------------------------------
-괄호찾기시 위로 찾을때 괄호를 첫라인에 스크롤 위치로 두지않고
 vc ide editor 같이 약 2줄을 위로 더 스크롤 하여 함수이름이 잘보이게 함
  
<< 2009.05.10 >>
-------------------------------------------------------------------------------
-Hex 텍스트클릭지원,10진수인덱스보기지원

since 2004 ~
http://krkim.net
